name: whoami # Project Name
services:
  whoami:
    image: traefik/whoami:latest
    container_name: whoami
    restart: unless-stopped
    security_opt:
      - no-new-privileges=true
    #depends_on:
    #  - traefik
    networks:
      - proxy
    environment:
      - TZ=${TZ}
    labels:
      - "traefik.enable=true"
      ## HTTP Routers
      - "traefik.http.routers.whoami-rtr.entrypoints=https"
      - "traefik.http.routers.whoami-rtr.rule=Host(`whoami.lab.gurulandia.eu`)"    
      ## Middlewares
#             - "traefik.http.routers.authentik-rtr.middlewares=chain-authelia@file"
#        - "traefik.http.routers.authentik-rtr.middlewares=chain-no-auth@file"
      - "traefik.http.routers.whoami-rtr.middlewares=chain-authentik@file"
      ## HTTP Services
      - "traefik.http.routers.whoami-rtr.service=whoami-svc"
      - "traefik.http.services.whoami-svc.loadbalancer.server.port=80"
networks:
  proxy:
    external: true